org.eclipse.emf.facet.efacet.core

## Interface IFacetCommandFactory

    public interface IFacetCommandFactory

This interface provide a command factory. A command modify the editingDomain.

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Command` `createAddOperationInFacetCommand(Facet parent, FacetOperation facetOperation)` Create the command to add an Operation (FacetOperation) to an existing Facet (parent).
`Command` `createAddParameterInOperationCommand(FacetOperation parent, EParameter opeParameter)` Create the command to add a Parameter (operationParameter) to an existing Operation (parent).
`Command` `createAddReferenceInFacetCommand(Facet parent, FacetReference facetReference)` Create the command to add a Reference (facetReference) to an existing Facet (parent).
`Command` `createChangeOwnerCommand(java.lang.Object element, java.lang.Object newOwner)` Create the command to change the owner of an element.
`Command` `createEditFacetCommand(Facet facet, FacetSet container, java.lang.String name, ETypedElement conformance, EClass extendEClass, FacetSet extendedFacetSet)` Create the command to change the attributes of a Facet.
`Command` `createEditFacetOperationCommand(DerivedTypedElement dte, Facet facetContainer, java.lang.String name, int lowerBound, int upperBound, EClassifier type, boolean ordered, boolean unique, Query query)` Create the command to change the attributes of a FacetOperation.
`Command` `createEditFacetSetCommand(FacetSet editedFacetSet, FacetSet container, java.lang.String name)` Create the command to change the attributes of a FacetSet.
`Command` `createEditFacetStructuralFeatureCommand(DerivedTypedElement feature, Facet container, java.lang.String name, int lowerBd, int upperBd, EClassifier type, boolean ordered, boolean unique, Query query, boolean volatilee, boolean change, boolean derived, boolean transientt)` Create the command to add an Attribute (facetAttrbute) to an existing Facet (parent).
`Command` `createEditOperationParameterCommand(EParameter parameter, FacetOperation container, java.lang.String name, int lowerBound, int upperBound, EClassifier type, boolean ordered, boolean unique)` Create the command to change the attributes of a FacetAttribute.
`Command` `createFacetInFacetSetCommand(FacetSet parent, Facet facet)` Create the command to add a Facet (facet) to an existing FacetSet (parent).
`Command` `createFacetSetInFacetSetCommand(FacetSet parent, FacetSet facetSet)` Create the command to add a FacetSet (facetSet) to an existing FacetSet (parent).
`Command` `createSetFacetAttributeCommand(Facet initialContainer, FacetAttribute initialElement, FacetAttribute newElement)` Create the command to change the attributes of a FacetAttribute.
`Command` `createSetFacetReferenceCommand(Facet initialContainer, FacetReference initialElement, FacetReference newElement)` Create the command to change the attributes of a FacetReference.

### Method Detail

#### createFacetSetInFacetSetCommand

    Command createFacetSetInFacetSetCommand(FacetSet parent,
                                            FacetSet facetSet)

Create the command to add a FacetSet (facetSet) to an existing FacetSet (parent).

Parameters:
  `parent` - the parent of the facetSet to add.
  `facetSet` - the facetSet to add.
Returns:
  the command.

#### createFacetInFacetSetCommand

    Command createFacetInFacetSetCommand(FacetSet parent,
                                         Facet facet)

Create the command to add a Facet (facet) to an existing FacetSet (parent).

Parameters:
  `parent` - the parent of the facet to add.
  `facet` - the facet to add.
Returns:
  the command.

#### createEditFacetStructuralFeatureCommand

    Command createEditFacetStructuralFeatureCommand(DerivedTypedElement feature,
                                                    Facet container,
                                                    java.lang.String name,
                                                    int lowerBd,
                                                    int upperBd,
                                                    EClassifier type,
                                                    boolean ordered,
                                                    boolean unique,
                                                    Query query,
                                                    boolean volatilee,
                                                    boolean change,
                                                    boolean derived,
                                                    boolean transientt)

Create the command to add an Attribute (facetAttrbute) to an existing Facet (parent).

Parameters:
  `parent` - the parent of the attribute to add.
  `facetAttrbute` - the attribute to add.
Returns:
  the command.

#### createAddReferenceInFacetCommand

    Command createAddReferenceInFacetCommand(Facet parent,
                                             FacetReference facetReference)

Create the command to add a Reference (facetReference) to an existing Facet (parent).

Parameters:
  `parent` - the parent of the reference to add.
  `facetReference` - the reference to add.
Returns:
  the command.

#### createAddOperationInFacetCommand

    Command createAddOperationInFacetCommand(Facet parent,
                                             FacetOperation facetOperation)

Create the command to add an Operation (FacetOperation) to an existing Facet (parent).

Parameters:
  `parent` - the parent of the operation to add.
  `facetOperation` - the operation to add.
Returns:
  the command.

#### createAddParameterInOperationCommand

    Command createAddParameterInOperationCommand(FacetOperation parent,
                                                 EParameter opeParameter)

Create the command to add a Parameter (operationParameter) to an existing Operation (parent).

Parameters:
  `parent` - the parent of the operation to add.
  `facetOperation` - the operation to add.
Returns:
  the command.

#### createChangeOwnerCommand

    Command createChangeOwnerCommand(java.lang.Object element,
                                     java.lang.Object newOwner)

Create the command to change the owner of an element.

Parameters:
  `element` -
  `newOwner` -
Returns:

#### createEditFacetSetCommand

    Command createEditFacetSetCommand(FacetSet editedFacetSet,
                                      FacetSet container,
                                      java.lang.String name)

Create the command to change the attributes of a FacetSet.

Parameters:
  `initialElement` -
  `newElement` -
  `newElement` -
Returns:

#### createEditFacetCommand

    Command createEditFacetCommand(Facet facet,
                                   FacetSet container,
                                   java.lang.String name,
                                   ETypedElement conformance,
                                   EClass extendEClass,
                                   FacetSet extendedFacetSet)

Create the command to change the attributes of a Facet.

Parameters:
  `initialElement` -
  `newElement` -
Returns:

#### createSetFacetAttributeCommand

    Command createSetFacetAttributeCommand(Facet initialContainer,
                                           FacetAttribute initialElement,
                                           FacetAttribute newElement)

Create the command to change the attributes of a FacetAttribute.

Parameters:
  `initialElement` -
  `newElement` -
Returns:

#### createSetFacetReferenceCommand

    Command createSetFacetReferenceCommand(Facet initialContainer,
                                           FacetReference initialElement,
                                           FacetReference newElement)

Create the command to change the attributes of a FacetReference.

Parameters:
  `initialElement` -
  `newElement` -
Returns:

#### createEditFacetOperationCommand

    Command createEditFacetOperationCommand(DerivedTypedElement dte,
                                            Facet facetContainer,
                                            java.lang.String name,
                                            int lowerBound,
                                            int upperBound,
                                            EClassifier type,
                                            boolean ordered,
                                            boolean unique,
                                            Query query)

Create the command to change the attributes of a FacetOperation.

Parameters:
  `initialElement` -
  `newElement` -
Returns:

#### createEditOperationParameterCommand

    Command createEditOperationParameterCommand(EParameter parameter,
                                                FacetOperation container,
                                                java.lang.String name,
                                                int lowerBound,
                                                int upperBound,
                                                EClassifier type,
                                                boolean ordered,
                                                boolean unique)

Create the command to change the attributes of a FacetAttribute.

Parameters:
  `initialElement` -
  `newElement` -
Returns: